Delete activation type
Delete a specific activation type by service name. You must be an owner of the activation type and it must not be published in order to delete. If you wish to delete a published activation type please reach out to Census Support.
Request schema
Path parameters
service_name
stringrequired
Name of the activation type to delete
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Http + 1.1
DELETE /api/v2/activation_types/{service_name} HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
Activation type deleted successfully
400
The request could not be processed, e.g. an invalid `type` or `group_id` was provided.
401
Invalid credentials for the requested resource.
404
Resource not found.
409
200
status
string
Outcome of the operation.
enum:
"deleted""not_found""error"
400
status
integer
HTTP status code.
enum:
"400"
message
string
Description of the validation error.
example:
Invalid type: not_a_real_type
401
status
integer
HTTP status code.
enum:
"401"
404
status
integer
HTTP status code.
enum:
"404"
{ "status": "deleted" }